Bug 488802 - RPM license advertisement for libsepol indicates GPL rather than LGPL
RPM license advertisement for libsepol indicates GPL rather than LGPL
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libsepol (Show other bugs)
5.5
All Linux
low Severity low
: rc
: ---
Assigned To: Daniel Walsh
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-05 14:37 EST by Eric Brower
Modified: 2009-09-02 05:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:36:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Brower 2009-03-05 14:37:54 EST
Description of problem:
The libsepol RPM indicates a license of "GPL" although the software claims a license of LGPL:
https://rhn.redhat.com/network/software/packages/details.pxt?pid=389020
or
# rpm -qi libsepol
  Name        : libsepol                     Relocations: /usr
  Version     : 1.15.2                            Vendor: Red Hat, Inc.
  Release     : 1.el5                         Build Date: Tue 14 Nov 2006 07:21:38 AM PST
  Install Date: Tue 29 Jan 2008 06:09:03 PM PST      Build Host: hs20-bc1-7.build.redhat.com
  Group       : System Environment/Libraries   Source RPM: libsepol-1.15.2-1.el5.src.rpm
  Size        : 241432                           License: GPL
  Signature   : DSA/SHA1, Wed 17 Jan 2007 12:33:21 PM PST, Key ID 5326810137017186
  Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
  Summary     : SELinux binary policy manipulation library
  Description : ...

ChangeLog file within the source RPM contains:
  1.5.10 2005-05-19
    * License changed to LGPL v2.1, see COPYING.


Version-Release number of selected component (if applicable):
libsepol-1.15.2.1.el5 (not sure this matters)

How reproducible:
Always

Steps to Reproduce:
1. rpm -q libsepol --queryformat="%{License}\n"
2. Check ChangeLog in SRPM sources
3.
  
Actual results:
RPM shows GPL as License version
ChangeLog indicates LGPL version, not GPL

Expected results:
RPM should show LGPL as license version

Additional info:
Comment 1 Daniel Walsh 2009-03-05 15:18:07 EST
I have fixed this in Rawhide/F11

libsepol-2.0.34-1.fc11
Comment 2 Daniel Walsh 2009-04-09 10:41:55 EDT
Fixed in libsepol-1.15.2-2.el5
Comment 8 errata-xmlrpc 2009-09-02 05:36:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1273.html

Note You need to log in before you can comment on or make changes to this bug.